Subject: Re: [bug#35118] [PATCH 0/4] Add localed, fixing keyboard layout in GDM
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Date: Fri, 05 Apr 2019 15:47:36 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Pushed!

Ludovic Courtès <[email-masked]> skribis:

> This is all pretty ugly.  Regarding localed itself, I think we
> should maintain our own fork since we really just need a couple
> of files from systemd.  That would require disentangling the code
> from systemd’s own support functions (like its D-Bus API wrapper).
> That should be easy for someone who’s ever played with D-Bus in
> C, but that’s not me.  :-)

As discussed on IRC with Julien and others, I tried to actually fork
systemd and strip everything but src/locale.  Unfortunately that turned
out to be pretty tricky because of all the systemd-internal utilities
being used (allocation, string manipulation, etc.)

If someone is willing to give it a try, I can share what I have so far!

Ludo’.